Bug 3327 - rebuild_zebra.pl doesn't index authorities in XML
Summary: rebuild_zebra.pl doesn't index authorities in XML
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Command-line Utilities (show other bugs)
Version: rel_3_2
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Galen Charlton
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-06-14 04:50 UTC by Frédéric Demians
Modified: 2013-12-05 20:04 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2010-05-21 01:09:10 UTC


---- Reported by frederic@tamil.fr 2009-06-14 04:50:39 ----

This combination of parameters is not possible in rebuild_zebra.pl:

    rebuild_zebra -a -x

Why? Koha API has a GetAuthorityXML function that could be used.



---- Additional Comments From gmcharlt@gmail.com 2009-06-14 23:33:09 ----

It's due to a difference in how the Zebra GRS-1 and DOM filters process MARCXML files.  The GRS-1 filter doesn't require that a MARCXML input file be a well-formed XML document, so rebuild_zebra -b -x can simply append one <marc:record> blob after another to the export file.  The DOM filter (used for MARC21 authorities) *does* require that its input be a valid XML document, which would require tweaking the export so that the resulting XML file was valid (and the marc:record elements contained in a marc:collection).

XML::SAX::Writer and possibly a small tweak to the indexing XSL would do it.  On the other hand, it would also be necessary to verify that the GRS-1 filter (for bibs) *does* load a well-formed bib MARCXML file.

Probably not a huge deal to change, but it does require a bit of work and a lot of testing.



--- Bug imported by chris@bigballofwax.co.nz 2010-05-21 01:09 UTC  ---

This bug was previously known as _bug_ 3327 at http://bugs.koha.org/cgi-bin/bugzilla3/show_bug.cgi?id=3327

Actual time not defined. Setting to 0.0
CC member info@libsoul.com does not have an account here

Comment 1 Mirko Tietgen 2013-01-15 13:58:48 UTC
Fixed according to Jared on IRC.